hpp-constraints: hpp::constraints::solver::saturation::Bounds Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::constraints::solver::saturation::Bounds Struct Reference

simple box constraints More...

`#include <hpp/constraints/solver/hierarchical-iterative.hh>`

Inheritance diagram for hpp::constraints::solver::saturation::Bounds:
[legend]
Collaboration diagram for hpp::constraints::solver::saturation::Bounds:
[legend]

## Public Member Functions
bool | saturate (vectorIn_t q, vectorOut_t qSat, Eigen::VectorXi &saturation)
| Bounds ()
| Bounds (const vector_t &lb, const vector_t &ub)
| Bounds (const vector_t &lb, const vector_t &ub, const Eigen::VectorXi &iq2iv)
Public Member Functions inherited from hpp::constraints::solver::saturation::Base
virtual | ~Base ()

## Public Attributes
vector_t | lb
vector_t | ub
Eigen::VectorXi | iq2iv_

## Detailed Description

simple box constraints

## Constructor & Destructor Documentation

## ◆ Bounds() [1/3]

hpp::constraints::solver::saturation::Bounds::Bounds | ( |  | ) |
| inline

## ◆ Bounds() [2/3]

hpp::constraints::solver::saturation::Bounds::Bounds | ( | const vector_t & | lb,
|  | const vector_t & | ub )
| inline

## ◆ Bounds() [3/3]

hpp::constraints::solver::saturation::Bounds::Bounds | ( | const vector_t & | lb,
|  | const vector_t & | ub,
|  | const Eigen::VectorXi & | iq2iv )
| inline

## Member Function Documentation

## ◆ saturate()

bool hpp::constraints::solver::saturation::Bounds::saturate | ( | vectorIn_t | q,
|  | vectorOut_t | qSat,
|  | Eigen::VectorXi & | saturation )
| virtual

This function checks which degrees of freedom are saturated.

Parameters

  q | a configuration,

Return values

  qSat | configuration after saturing values out of bounds
  saturation | vector: for each degree of freedom, saturation is set to -1 if the lower bound is reached, 1 if the upper bound is reached, 0 otherwise.

Returns
  true if and only if at least one degree of freedom has been saturated

Reimplemented from hpp::constraints::solver::saturation::Base.

## Member Data Documentation

## ◆ iq2iv_

Eigen::VectorXi hpp::constraints::solver::saturation::Bounds::iq2iv_

## ◆ lb

vector_t hpp::constraints::solver::saturation::Bounds::lb

## ◆ ub

vector_t hpp::constraints::solver::saturation::Bounds::ub

The documentation for this struct was generated from the following file:

- include/hpp/constraints/solver/hierarchical-iterative.hh